package com.inspect.ivs.domain;

import java.io.Serializable;

public class IPInfo implements Serializable {
   private int ipType = 0;
   //private String ip = "172.21.101.112";
   private String ip = "172.21.101.120";

   public int getIpType() {
      return this.ipType;
   }

   public String getIp() {
      return this.ip;
   }

   public void setIpType(int ipType) {
      this.ipType = ipType;
   }

   public void setIp(String ip) {
      this.ip = ip;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof IPInfo)) {
         return false;
      } else {
         IPInfo other = (IPInfo)o;
         if(!other.canEqual(this)) {
            return false;
         } else if(this.getIpType() != other.getIpType()) {
            return false;
         } else {
            Object this$ip = this.getIp();
            Object other$ip = other.getIp();
            if(this$ip == null) {
               if(other$ip != null) {
                  return false;
               }
            } else if(!this$ip.equals(other$ip)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof IPInfo;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      result = result * 59 + this.getIpType();
      Object $ip = this.getIp();
      result = result * 59 + ($ip == null?43:$ip.hashCode());
      return result;
   }

   public String toString() {
      return "IPInfo(ipType=" + this.getIpType() + ", ip=" + this.getIp() + ")";
   }
}
